To include motion detection I have created generic components on NPM Registry and docker hub
This detects the motion on client web cam( React app) and uses server in Python based on open CV
so Client just captures web cam images and server analyses these images using OPENCV to determine if there is a motion or not
client can specify a call back function which server calls each time there is a motion
Server is just a docker image which you can pull and run and specify its URL to client

**NPM Registry(Client)**

Registry Link:

    https://www.npmjs.com/settings/kunalpimparkhede/packages

Command

    npm install motion-detector-client

**Docker Image (Server)**

Link

    https://hub.docker.com/r/kunalpimparkhede/motiondetectorwebcam

Command

    docker pull kunalpimparkhede/motiondetectorwebcam

You just need to write following code to have motion detection

Usage: 

    import MotionDetectingClient from './MotionDetectingClient';
    
    <MotionDetectingClient server="http://0.0.0.0:8080" callback={handleMovement}/>

    function handleMovement(pixels) 
    {
    console.log("Movement By Pixel="+pixels)
    }

On server side : just start the docker server on port 8080:

    docker run --name motion-detector-server-app -P 8080:5000 motion-detector-server-app





