import React from 'react';
import ReactDOM from 'react-dom';
import './index.css';
import MotionDetectingClient from './MotionDetectingClient';
import reportWebVitals from './reportWebVitals';
import referencePath from './sampleRef.json';
import performancePath from './performanceSample.json';
import LearningPathClient from './LearningPathClient';
import './graph.css';

function handleMovement(pixels) {
console.log("Movement By Pixel="+pixels)
}

ReactDOM.render(
  <React.StrictMode>
    <MotionDetectingClient server="http://0.0.0.0:8080" callback={handleMovement}/>
   
 </React.StrictMode>,
  document.getElementById('root')
);

// If you want to start measuring performance in your app, pass a function
// to log results (for example: reportWebVitals(console.log))
// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals
reportWebVitals();
